Bug 1743681 - Create host in breadcrumbs in host detail page after creating a host
Summary: Create host in breadcrumbs in host detail page after creating a host
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Tomer Brisker
QA Contact: tstrych
URL:
Whiteboard:
: 1743683 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-20 12:59 UTC by Tomer Brisker
Modified: 2019-09-26 17:54 UTC (History)
2 users (show)

Fixed In Version: foreman-1.22.0.19-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26822 None None None 2019-08-20 12:59:51 UTC

Description Tomer Brisker 2019-08-20 12:59:50 UTC
In Foreman 1.22.0-RC1 you can reproduce this by:
* Going to the Create Host form
* Fill in all the fields and submit
* See what happens

Expected result:
* The breadcrumbs are All Hosts >> $HOSTNAME

Actual result:
* The breadcrumbs are All Hosts >> Create Host | $HOSTNAME

Additional info:
* When you refresh the page, it does show the correct breadcrumb
* See attached screenshot

Comment 1 Tomer Brisker 2019-08-20 12:59:53 UTC
Created from redmine issue https://projects.theforeman.org/issues/26822

Comment 3 Tomer Brisker 2019-08-20 13:03:45 UTC
*** Bug 1743683 has been marked as a duplicate of this bug. ***

Comment 5 Bryan Kearney 2019-08-20 14:07:32 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 6 Bryan Kearney 2019-08-20 14:07:34 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 7 Bryan Kearney 2019-08-21 14:07:27 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26822 has been resolved.

Comment 11 tstrych 2019-08-26 15:43:36 UTC
I looked on error by using sat 6.6 snap 16 and after that steps were reproduced with sat 6.6 snap 17 where it works correctly. Verified


Note You need to log in before you can comment on or make changes to this bug.